/*
 * Diffie-Hellman groups
 * Copyright (c) 2007, Jouni Malinen <j@w1.fi>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * Alternatively, this software may be distributed under the terms of BSD
 * license.
 *
 * See README and COPYING for more details.
 */

#ifndef DH_GROUPS_H
#define DH_GROUPS_H

#ifdef __cplusplus
extern "C" {
#endif

struct dh_group {
        int id;
        const u8 *generator;
        size_t generator_len;
        const u8 *prime;
        size_t prime_len;
};

const struct dh_group * wpa_dh_groups_get(int id);
struct wpabuf * wpa_dh_init(const struct dh_group *dh, struct wpabuf **priv);
struct wpabuf * wpa_dh_derive_shared(const struct wpabuf *peer_public,
                                     const struct wpabuf *own_private,
                                     const struct dh_group *dh);

#ifdef __cplusplus
}
#endif

#endif /* DH_GROUPS_H */
